For the complete documentation index, see llms.txt. This page is also available as Markdown.

Google Search API

Access Google's search results in real time, providing relevant web pages, search listings, and content from across the internet.

POST https://api.serphouse.com/google-web

Path Parameters

Name
Type
Description

responseType

String

responseType can be 'html' or 'json'

Headers

Name
Type
Description

Authorization*

String

Bearer <YOUR_API_KEY>

Content-Type*

String

application/json

Request Body

Name
Type
Description

q*

string

Search phrase that you want to search

domain*

string

Choose google domain. You can retrieve the list of supported Google domains by making a separate request to the List of Search Engines

device*

string

Device can be desktop To extract desktop result mobile To extract mobile result

lang*

string

You can set language for e.g. en for english fr for french. Get the list of available languages by making a separate request to the List of Language

loc*

string

Optional field if you specify loc_id You must choose one of the fields: loc_id or loc You can receive the list of available locations of search engines with their loc_id by making a separate request to the List of Locations

loc_id*

integer

Optional field if you specify loc you must choose one of the fields: loc_id or loc You can receive the list of available locations of search engines with their loc_id by making a separate request to the List of Locations

page

integer

Give specific page to get the result of that page number. By default it will get you first page.

date_range

String

Sometimes you may want to only find information published during a specific time frame. To limit Google results by date

Parameter values can be comma seprated date range YYYY-MM-DD,YYYY-MM-DD OR

h Past hour

d Past 24 hours

w Past week

m Past month

y Past year

verbatim

integer

Set Google Verbatim search, Parameter value can be 0 or 1

gfilter

integer

Parameter defines if the filters for 'Similar Results' and 'Omitted Results' are on or off. It can be set to 1 (default) to enable these filters, or 0 to disable these filters.

num_result

integer

Define the number of results you want to get per page. By default, you will get up to 10 results. Maximum 10 results are available.

no_trace

string | integer

Enterprise only. Enables NoTrace mode. Accepted values: 0, 1, true, and false. When enabled (1 or true), search parameters, files, and metadata are not stored on our servers.

Example request:

Last updated